Subject: bug#67527: 30.0.50; FR: Add an option to disable ispell completion in text-mode

From: Eason Huang <[email-masked]>
Date: Sat, 13 Jan 2024 17:03:28 +0800

Eli Zaretskii <[email-masked]> writes:

>> > I took a liberty to add back Eason to the discussion, in the hope that
>> > he could explain why DEPTH of 10 didn't solve his situation.
>> >
>> Because I don't have any ohter capf backends in the org buffer(outside
>> the SRC code block), ispell-completion-at-point is the only one.
>> 
>> When the cursor is inside the SRC code block, no this issue.
>
> I guess I'm confused.  In your original report, which started this
> discussion, you said:
>
>   Because when I enable the autocomplete by corfu or company, it will
>   always popup the candidate when I input English characters.
>   I don't want to diable the autocomplete of corfu or company, because I
>   need it in org code block.
>
> I was asking about that part in your report -- how did the new support
> for completion-at-point in text mode and its descendants change the
> behavior when you enable autocomplete by corfu or company, and why
> were you talking about disabling autocomplete of corfu and company?
>

I have `cape-elisp-block` capf backend in org-buffer, and it only
works in code block, that's why I need the autocomplete.

I also need the `flyspell-mode` in org-mode, the `flyspell-mode` will add
ispell-completion-at-point to capf, but when I input characters in
org-buffer, I don't need the ispell-completion-at-point backend.

Anyway, the below workaround works for me:

```
(add-hook 'text-mode-hook
          (lambda ()
            (remove-hook 'completion-at-point-functions 'ispell-completion-at-point t)))
```

-- 
Eason Huang